Conectarse a un servidor MySQL 5 o mayor mediante un cliente para version <=4

MySQL Comentar

Cuando se instalaron nuevos servidores con nuevas versiones de MySQL resultó extraño que desde los viejos servidores no pudieramos acceder a los nuevos obteniendo un error del tipo “Client does not support authentication protocol requested by server; consider upgrading MySQL client“. En ese momento, actualizar el cliente no era una opción válida, asi que, buscando, apareció una forma de hacerlo funcionar. El tema es que el algoritmo de hash para los passwords que usa el servidor nuevo no es compatible con el cliente viejo, entonces lo que hay que hacer es configurar al usuario para que use el sistema viejo de esta manera:

mysql> SET PASSWORD FOR 'nombreUsuario'@'host' = OLD_PASSWORD('newpwd');

Listo el pollo!

Comentar

Copyright © 2009-2010 - www.jabox.com.ar
Tema de N.Design Studio | Entries RSS Comments RSS